//Exemplo que irá fazer o ponteiro do mouse se mover fazendo um quadrado

//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

#include <SerialMouseKeyboardControl.h>

SerialMouseKeyboardControl smkc;

void setup() 
{
  //SerialMouseKeyboardControl usa Serial. Defina o Baud Rate desejado.
  //O exemplo utiliza Baud Rate 9600.
  Serial.begin(9600);
}

void loop() 
{
  //Move o ponteiro do mouse da esquerda para a direita
  int control = 500;

  do
  {
    smkc.setMousePosition(control, 300);
    control +=10; //Movimenta de 10 em 10
    delay(20);
  }
  while(control <= 900);

  //Move o ponteiro do mouse de cima para baixo
  control = 300;
  do
  {
    smkc.setMousePosition(900, control);
    control +=10; //Movimenta de 10 em 10
    delay(20);
  }
  while(control <= 700);

  //Move o ponteiro do mouse da direita para a esquerda
  control = 900;
  do
  {
    smkc.setMousePosition(control, 700);
    control -=10; //Movimenta de 10 em 10
    delay(20);
  }
  while(control >= 500);

  //Move o ponteiro do mouse de baixo para cima
  control = 700;
  do
  {
    smkc.setMousePosition(500, control);
    control -=10; //Movimenta de 10 em 10
    delay(20);
  }
  while(control >= 300);
}
